Skip to main content
GET
Python

Authorizations

X-API-Key
string
header
required

The API key to use for authentication.

Headers

Miru-Version
string
required

The API version the client was built against.

Example:

"2026-05-06.rainier"

Path Parameters

deployment_id
string
required

The unique identifier of the deployment.

Example:

"dpl_123"

Query Parameters

expand
enum<string>[]

Fields to expand on the deployment resource.

Available options:
device,
release,
config_instances
Example:

Response

200 - application/json

Successfully retrieved the deployment drifts.

object
enum<string>
required

The object type, which is always list.

Available options:
list
Example:

"list"

limit
integer
default:10
required

The maximum number of items to return. A limit of 15 with an offset of 0 returns items 1-15.

Required range: 1 <= x <= 100
offset
integer
default:0
required

The offset of the items to return. An offset of 10 with a limit of 10 returns items 11-20.

Required range: x >= 0
has_more
boolean
required

True if there are more items in the list to return. False if there are no more items to return.

Example:

false

data
Deployment · object[]
required

The list of deployments.

total_count
integer<int64>

The total number of items in the list. By default the total count is not returned. The total count must be expanded (using expand=total_count) to get the total number of items in the list.

Last modified on May 27, 2026